<?php

namespace plugin\admin\app\controller;

use support\Request;
use support\Response;
use plugin\admin\app\model\Volunteerservicecorpsdetailed;
use plugin\admin\app\controller\Crud;
use support\exception\BusinessException;

/**
 * 志愿者服务队用户表 
 */
class VolunteerservicecorpsdetailedController extends Crud
{
    
    /**
     * @var Volunteerservicecorpsdetailed
     */
    protected $model = null;

    /**
     * 构造函数
     * @return void
     */
    public function __construct()
    {
        $this->model = new Volunteerservicecorpsdetailed;
    }
    
    /**
     * 浏览
     * @return Response
     */
    public function index(): Response
    {
        return view('volunteerservicecorpsdetailed/index');
    }

    /**
     * 插入
     * @param Request $request
     * @return Response
     * @throws BusinessException
     */
    public function insert(Request $request): Response
    {
        if ($request->method() === 'POST') {
            return parent::insert($request);
        }
        return view('volunteerservicecorpsdetailed/insert');
    }

    /**
     * 更新
     * @param Request $request
     * @return Response
     * @throws BusinessException
    */
    public function update(Request $request): Response
    {
        if ($request->method() === 'POST') {
            return parent::update($request);
        }
        return view('volunteerservicecorpsdetailed/update');
    }

}
